# Cancel reservation for order item Cancelling reservations requires extra permissions which are not enabled by default. Cancellations are possible for activities with one or more refund policies, provided the cancellation takes place before the refund cutoff date. Endpoint: DELETE /orders/{orderUuid}/items/{orderItemUuid} Version: 3.5.0 Security: Partner ## Path parameters: - `orderUuid` (string, required) The order UUID. - `orderItemUuid` (string, required) Order item identifier ## Header parameters: - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Request fields (application/json): - `cancellation_additional_info` (string) Additional information about the cancellation which partners wish to communicate to Musement Customer Care. Example: "Customer rejected suggested change to reservation date." - `cancellation_integration_data` (object) Additional information about the cancellation which partners would like to save for their integration. - `cancellation_reason` (string, required) The reason for the cancellation, from the following options: * API-ISSUE: Technical issue with API. * CANCELLED-BY-CUSTOMER: Cancellation requested by customer. * GRACE-PERIOD: An agreed upon time between paying for an order and cancelling without repercussions. * MISSING-MEETING-POINT-DETAILS: Activity meeting point was incorrect or changed without contact from activity provider or Musement Customer Care. * MISSING-PASSENGER-INFO: Provider cannot accept the reservation due to missing information such as date of birth or pickup location. * REJECTED-ORDER: Provider cannot accept the reservation due to overbooking or because the requested date/time is no longer available. * REJECTED-SCHEDULE-CHANGE: Cancellation because proposed change to reservation date/time was rejected by the customer. * TECHNICAL-ISSUE: Technical issue not covered by any of the other reasons. * VENUE-CLOSED: Reservation was not honored due to weather, maintenance, strikes, closed venue or other reason. Enum: "API-ISSUE", "CANCELLED-BY-CUSTOMER", "GRACE-PERIOD", "MISSING-MEETING-POINT-DETAILS", "MISSING-PASSENGER-INFO", "REJECTED-ORDER", "REJECTED-SCHEDULE-CHANGE", "TECHNICAL-ISSUE", "VENUE-CLOSED" ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Resource does not exist" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error" ## Response 204 fields